bug-gnulib
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

skipping message for vc-list-files tests


From: Bruno Haible
Subject: skipping message for vc-list-files tests
Date: Fri, 26 Sep 2008 14:42:08 +0200
User-agent: KMail/1.5.4

Hi Jim,

Eric reminded me that it is good practice to provide a message that explains
why a test is skipped. (When I did this in GNU gettext, it uncovered a couple
of real bugs on various systems.)

How about this? OK to commit?


2008-09-26  Bruno Haible  <address@hidden>

        * tests/test-vc-list-files-git.sh: Explain reason for skipping test.
        * tests/test-vc-list-files-cvs.sh: Likewise.

--- tests/test-vc-list-files-cvs.sh.orig        2008-09-26 14:37:52.000000000 
+0200
+++ tests/test-vc-list-files-cvs.sh     2008-09-26 13:46:43.000000000 +0200
@@ -45,7 +45,8 @@
   mkdir $tmpdir && cd $tmpdir &&
     # without cvs, skip the test
     # The double use of 'exit' is needed for the reference to $? inside the 
trap.
-    { ( cvs -Q -d "$repo" init ) > /dev/null 2>&1 || { (exit 77); exit 77; }; 
} &&
+    { ( cvs -Q -d "$repo" init ) > /dev/null 2>&1 \
+      || { echo "Skipping test: git not found in PATH"; (exit 77); exit 77; }; 
} &&
     mkdir w && cd w &&
     mkdir d &&
     touch d/a b c &&
--- tests/test-vc-list-files-git.sh.orig        2008-09-26 14:37:52.000000000 
+0200
+++ tests/test-vc-list-files-git.sh     2008-09-26 13:46:43.000000000 +0200
@@ -32,7 +32,8 @@
 mkdir $tmpdir && cd $tmpdir &&
   # without git, skip the test
   # The double use of 'exit' is needed for the reference to $? inside the trap.
-  { ( git init -q ) > /dev/null 2>&1 || { (exit 77); exit 77; }; } &&
+  { ( git init -q ) > /dev/null 2>&1 \
+    || { echo "Skipping test: git not found in PATH"; (exit 77); exit 77; }; } 
&&
   mkdir d &&
   touch d/a b c &&
   git add . > /dev/null &&





reply via email to

[Prev in Thread] Current Thread [Next in Thread]